"""
    MoinMoin - LoginHint
    
    Usage:
        [[LoginHint(Please login using the link at the top border!)]]

    @copyright: 2006 Thomas Waldmann
    @license: GNU GPL, see COPYING for details
"""
hint_style = "background-color: orange; text-align: center;"

def execute(macro, args):
    request = macro.request
    if request.user.valid:
        hint = ''
    else:
        f = request.formatter
        hint = (f.div(1, id="LoginHint", style=hint_style) +
                f.text(args) +
                f.div(0))
    return hint

